Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.faults
Class UnrecognizedPolicyRequestFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.muse.ws.addressing.soap.SoapFault
                  org.apache.muse.ws.resource.basefaults.BaseFault
                      org.apache.muse.ws.notification.faults.UnrecognizedPolicyRequestFault

All Implemented Interfaces:
  java.io.Serializable, XmlSerializable

public class UnrecognizedPolicyRequestFault
extends BaseFault

Author:
  Dan Jemiolo (danj)
See Also:
  Serialized Form

Constructor Summary
`UnrecognizedPolicyRequestFault(org.w3c.dom.Element xml)`
`UnrecognizedPolicyRequestFault(java.lang.String message)`
`UnrecognizedPolicyRequestFault(java.lang.String message, java.lang.Throwable cause)`
`UnrecognizedPolicyRequestFault(java.lang.Throwable cause)`

Methods inherited from class org.apache.muse.ws.resource.basefaults.BaseFault
`getDescription, getDetail, getErrorCode, getErrorCodeDialect, getName, getOriginReference, getTimestamp, setErrorCode, setOriginReference`

Methods inherited from class org.apache.muse.ws.addressing.soap.SoapFault
`getCode, getMessage, getNodeURI, getReason, getRoleURI, getSubCode, setCode, setDetail, setNodeURI, setReason, setRoleURI, setSubCode, toXML, toXML`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnrecognizedPolicyRequestFault

    public UnrecognizedPolicyRequestFault(org.w3c.dom.Element xml)

### UnrecognizedPolicyRequestFault

    public UnrecognizedPolicyRequestFault(java.lang.String message)

### UnrecognizedPolicyRequestFault

    public UnrecognizedPolicyRequestFault(java.lang.String message,
                                          java.lang.Throwable cause)

### UnrecognizedPolicyRequestFault

    public UnrecognizedPolicyRequestFault(java.lang.Throwable cause)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD